html {
  height: 100%;}
* {
  list-style-type: none;
  text-decoration: none;}

body {
  min-height: 100vh;
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  margin: 0;
}

ul, li, a {
  color: #fff;
  margin: 0px;
  padding: 0px;
  font-size: 1.2rem;
}

.header {
  background-color: #1c2331;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  padding: 15px;
}

.navbar{
  display: flex;
}
.navbar li {
  margin-left: 10px;
}

.menu-toggle, .menu-hamburguer {
    display: none;
}

.navbar li a {
  display: block;
  padding: 8px;
}

.menu-toggle, .menu-hamburguer {
    display: none;
}

h1 {
  color: #1c2331;
    font-size: 3em;
    font-weight: bold;
    text-align: center;
    margin-bottom: 40px;}

h2 {
    text-align: center;
    color: #1c2331;
    margin-bottom: 25px;
    font-size: 2em;
    padding-bottom: 8px;
    max-width: 300px;
    margin-left: auto;
    margin-right: auto;}

.conteiner {
    display: flex;
    flex-direction: column;  
    align-items: center;}

.opcoes {
    gap: 20px; 
    display: flex;
    flex-direction: column;
    margin: auto;
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    padding: 30px;
    border: 1px solid;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(255, 255, 255, 1); }

button {
    width: 230px;
    padding: 10px;
    font-size: 18px;
    font-weight: bold;
    background-color: #1c2331;   
    color: #ffffff;              
    border: none;
    border-radius: 6px;
    cursor: pointer;
    transition: all 0.5s ease;}

button:hover {
  background-color: #ffffff;
  color: black;
  box-shadow: 0 4px 8px rgba(0,0,0,0.5);}

main {
  flex-grow: 1;
}

body {
  background: radial-gradient(
    circle at center,
    #f2e8d3 0%, 
    #e8d3d3 34%, 
    #d3e8e1 64%, 
    #d3e1e8 104% 
  );
  background-size: cover;
  background-repeat: repeat;
  background-color: #e0e0e0;
}

#background {
  position: fixed; 
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  user-select: none;
  pointer-events: none;
  z-index: -1; 
}


#background > div {
  --size: 2vw; 
  --symbol: "✽"; 

  --pos_x: 0vw;
  --duration_move: 3s;
  --delay_move: 0s;

  position: absolute;
  top: 0;
  left: 0;
  font-size: clamp(1vh, var(--size), 2.5vh);
  transform-origin: center top;
  animation: move var(--duration_move) var(--delay_move) linear infinite normal both;
  
  color: unset; 
  opacity: 0.9; 
}

#background span {
  display: block;
  position: relative;
  transform-origin: center;
  animation: sway 2s ease-in-out infinite alternate;
}

#background span:after {
  content: var(--symbol);
  line-height: 2.5;
  position: relative;
  display: block;
}

@keyframes move {
  0% {
    transform: translate3d(var(--pos_x), calc(0vh - var(--size)), 0);
  }
  100% {
    transform: translate3d(var(--pos_x), 100vh, 0);
  }
}

@keyframes sway {
  from { transform: rotate(-7deg); }
  to { transform: rotate(9deg); }
}

#background > div:nth-child(23n + 1) { --symbol: "🍝"; } 
#background > div:nth-child(23n + 2) { --symbol: "🍕"; } 
#background > div:nth-child(23n + 3) { --symbol: "🍔"; } 
#background > div:nth-child(23n + 4) { --symbol: "🥖"; } 
#background > div:nth-child(23n + 5) { --symbol: "🥩"; } 
#background > div:nth-child(23n + 6) { --symbol: "🍨"; } 
#background > div:nth-child(23n + 7) { --symbol: "🥤"; } 
#background > div:nth-child(23n + 8) { --symbol: "🍰"; } 
#background > div:nth-child(23n + 9) { --symbol: "🍰"; } 
#background > div:nth-child(23n + 10) { --symbol: "🥗"; } 
#background > div:nth-child(23n + 11) { --symbol: "🍋"; } 
#background > div:nth-child(23n + 12) { --symbol: "🧀"; }
#background > div:nth-child(23n + 13) { --symbol: "🥗"; }
#background > div:nth-child(23n + 14) { --symbol: "😋"; }
#background > div:nth-child(23n + 15) { --symbol: "🍕"; }
#background > div:nth-child(23n + 16) { --symbol: "🍝"; }
#background > div:nth-child(23n + 17) { --symbol: "🍷"; }
#background > div:nth-child(23n + 18) { --symbol: "🥖"; }
#background > div:nth-child(23n + 19) { --symbol: "🍺"; }
#background > div:nth-child(23n + 20) { --symbol: "🍑"; }
#background > div:nth-child(23n + 21) { --symbol: "🍎"; }
#background > div:nth-child(23n + 22) { --symbol: "🥤"; }
#background > div:nth-child(23n + 23) { --symbol: "🍉"; }

#background > div:nth-child(21n + 1) { --pos_x: 6vw; }
#background > div:nth-child(21n + 2) { --pos_x: 9vw; }
#background > div:nth-child(21n + 3) { --pos_x: 7vw; }

#background > div:nth-child(21n + 4) { --pos_x: 20vw; }
#background > div:nth-child(21n + 5) { --pos_x: 25vw; }
#background > div:nth-child(21n + 6) { --pos_x: 30vw; }
#background > div:nth-child(21n + 7) { --pos_x: 35vw; }
#background > div:nth-child(21n + 8) { --pos_x: 40vw; }
#background > div:nth-child(21n + 9) { --pos_x: 45vw; }
#background > div:nth-child(21n + 10) { --pos_x: 50vw; }
#background > div:nth-child(21n + 11) { --pos_x: 55vw; }
#background > div:nth-child(21n + 12) { --pos_x: 60vw; }
#background > div:nth-child(21n + 13) { --pos_x: 65vw; }
#background > div:nth-child(21n + 14) { --pos_x: 70vw; }
#background > div:nth-child(21n + 15) { --pos_x: 75vw; }
#background > div:nth-child(21n + 16) { --pos_x: 80vw; }
#background > div:nth-child(21n + 17) { --pos_x: 85vw; }
#background > div:nth-child(21n + 18) { --pos_x: 90vw; }
#background > div:nth-child(21n + 19) { --pos_x: 95vw; }
#background > div:nth-child(21n + 20) { --pos_x: 100vw; }

#background > div:nth-child(8n + 1) { --delay_move: -6s; }
#background > div:nth-child(8n + 2) { --delay_move: -5s; }
#background > div:nth-child(8n + 3) { --delay_move: -6s; }
#background > div:nth-child(8n + 4) { --delay_move: -5s; }
#background > div:nth-child(8n + 5) { --delay_move: -6s; }
#background > div:nth-child(8n + 6) { --delay_move: -5s; }
#background > div:nth-child(8n + 7) { --delay_move: -7s; }

#background > div:nth-child(9n + 1) { --duration_move: 6s; }
#background > div:nth-child(9n + 2) { --duration_move: 7s; }
#background > div:nth-child(9n + 3) { --duration_move: 5s; }
#background > div:nth-child(9n + 4) { --duration_move: 4s; }
#background > div:nth-child(9n + 5) { --duration_move: 6s; }
#background > div:nth-child(9n + 6) { --duration_move: 6s; }
#background > div:nth-child(9n + 7) { --duration_move: 5s; }
#background > div:nth-child(9n + 8) { --duration_move: 7s; }

#background > div:nth-child(5n + 1) { --size: 5vh; }
#background > div:nth-child(5n + 2) { --size: 5vh; }
#background > div:nth-child(5n + 3) { --size: 5vh; }
#background > div:nth-child(5n + 4) { --size: 5vh; }
#background > div:nth-child(5n + 5) { --size: 5vh; }

footer {
    margin-top: 60px;
    background-color: #1c2331; 
    color: #fff; 
    padding: 18px 20px; 
    font-family: Arial, sans-serif;
    width: 100%;
    box-sizing: border-box;
}

.content-wrapper {
    display: flex; 
    flex-direction: column; 
    align-items: center; 
    gap: 10px; 
    max-width: 1140px; 
    margin: 0 auto; 
    text-align: center; 
}

.social-icones {
    display: flex; 
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 15px; 
}

.social-icones .follow {
  font-weight: bold;
  margin: 0;
  font-size: 1.1em;
}

.social-icones a {
  color: #fff;
  font-size: 20px;
  transition: color 0.3s;
}

.social-icones a:hover {
  color: #72b2e8;
}

.infos {
  text-align: center;
  line-height: 1.6;
}

.info-ender,
.info-hora,
.info-copy {
  margin: 0;
  font-size: 0.9em;
  opacity: 0.8;
}


/*RESPONSIVIDADE CELULARES*/
@media (min-width: 320px) and (max-width: 780px) {

  body {
  height: 100vh;
  width: 100%;
  }
  main {
    margin-top: 55px;
  }
  ul, li, a {
    font-size: 1rem;
  }

  .header {
    padding: 18px;
  }

  h2{
    font-size: 1.6rem;
  }

  .opcoes {
    gap: 15px;
    padding: 35px;
  }

  button {
    width: 210px;
    font-size: 20px;
    padding: 15px;
  }


    .menu-hamburguer {
        display: block;
        font-size: 1.5rem;
        color: white;
        cursor: pointer;
        position: fixed; 
        top: 20px;
        right: 20px;
        z-index: 1000;
    }

    .menu-lateral {
        position: fixed;
        top: 0;
        right: -100%; 
        width: 70%; 
        height: 100%;
        background-color: #1c2331;
        box-shadow: -2px 0 5px rgba(0, 0, 0, 0.5);
        transition: right 0.3s ease;
        z-index: 999;
    }

    .menu-lateral ul {
        list-style-type: none;
        padding: 50px 20px 20px;
        margin: 0;
        display: flex;
        flex-direction: column;
    }

    .menu-lateral a {
        color: white;
        padding: 15px;
        border-bottom: 1px solid #444;
        display: block;
        text-align: left;
    }

    .menu-toggle:checked ~ .menu-lateral {
        right: 0; 
    }

    footer {
      width: 100%;
      font-size: 14px;
    }
    .social-icones {
      font-size: 14px;
    }
}

/*RESPONSIVIDADE TABLETS*/
@media (min-width: 768px) and (max-width: 1024px) {
  
  body {
    height: 100vh;
    width: 100%;
  }

  ul, li, a {
    font-size: 1.3rem;
  }

  .header {
    padding: 25px;
  }

  main {
    margin-top: 48px;
  }
  h1 {
    font-size: 3rem;
  }
  
  .opcoes {
    gap: 20px;
    padding: 60px;
  }

  button {
    width: 300px;
    padding: 20px;
    font-size: 23px;
  }
  button:hover {
    background-color: #ffffff;
    color: black;
    box-shadow: 0 4px 8px rgba(0,0,0,0.5);
  }

  footer {
      font-size: 0.8rem;
    }
    .follow {
      font-size: 1.5rem;
    }

}

/*RESPONSIVIDADE DESKTOP*/
@media (min-width: 1024px) and (max-width: 1980px) {

  body {
    height: 100vh;
    width: 100%;
  }
  ul, li, a {
    font-size: 25px;
  }

  main {
    margin: 50px;
  }
  h2 {
    font-size: 3rem;
  }

  .opcoes {
    gap: 25px;
    padding: 75px;
  }

  button {
    width: 390px;
    padding: 25px;
    font-size: 25px;
  }

  .content-wrapper {
    font-size: 16px;
    padding: 10px;
  }
  
}